Page MenuHomePhabricator

build: firmly split legacy and unified API into Efl_Ui.h and Elementary.h
ClosedPublic

Authored by zmike on Sep 16 2019, 12:33 PM.

Details

Summary

these headers should be usable independently without having one secretly
pull in the other

fix T7667
Depends on D9980

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Sep 16 2019, 12:33 PM
zmike requested review of this revision.Sep 16 2019, 12:33 PM
stefan_schmidt added inline comments.Sep 17 2019, 7:17 AM
src/lib/elementary/Elementary.h
154

Again, waiting for clarification. The rest looks fine.

stefan_schmidt accepted this revision.Sep 18 2019, 8:30 AM
This revision is now accepted and ready to land.Sep 18 2019, 8:30 AM
Closed by commit rEFL313937193230: build: firmly split legacy and unified API into Efl_Ui.h and Elementary.h (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhySep 18 2019, 9:06 AM
This revision was automatically updated to reflect the committed changes.

Efl_Ui.h include some private headers that do not installed, so that application which include "Efl_Ui.h" failed to build with the message of missing header.

[ 11s] /usr/include/elementary-1/Efl_Ui.h:332:51: fatal error: efl_ui_list_view_precise_layouter.eo.h: No such file or directory
[ 11s] # include <efl_ui_list_view_precise_layouter.eo.h>
[ 11s] ^

zmike added a comment.Sep 18 2019, 6:56 PM

Thanks for this report. I will review all generated API headers and check to make sure they are installed so that applications can use them.